<template>
  <v-menu offset-y>
    <!-- Selector -->
    <template #activator="{ on, attrs }">
      <div class="studium-navbar-link" v-bind="attrs" v-on="on">{{ currentLocale }}</div>
    </template>

    <!-- Menu -->
    <v-list>
      <!-- Languages -->
      <v-list-item v-for="locale in $i18n.locales" :key="locale.code" :to="switchLocalePath(locale.code)">
        <v-list-item-title>{{ locale.name }}</v-list-item-title>
      </v-list-item>
    </v-list>
  </v-menu>
</template>

<script lang="ts">
import { computed, defineComponent, useContext } from '@nuxtjs/composition-api'

export default defineComponent({
  setup() {
    const context = useContext()

    // Available locales
    const locales = computed(() => context.i18n.locales)

    // Current locale
    const currentLocale = computed(() => context.i18n.locale)

    return {
      locales,
      currentLocale,
    }
  },
})
</script>
